
// Matrices

shared float4x4 ViewProj : ViewProjection < string UIWidget = "None"; >;
float4x4 World : World < string UIWidget = "None"; >;

// Connector data structures

struct appData {
	float3 Position	: POSITION;
};

struct vertexOutput {
	float4 HPosition	: POSITION;
};

vertexOutput mainVS(appData IN){
	vertexOutput OUT;
	float4x4 WorldViewProj = mul(World, ViewProj);
	
	OUT.HPosition = mul(float4(IN.Position, 1.0), WorldViewProj);
	float3 c = float3(IN.Position.x, IN.Position.x + IN.Position.z, IN.Position.z);
	
	return OUT;
}

float4 mainPS(vertexOutput IN) : COLOR {
	return float4(1.0, 1.0, 1.0, 1.0);
}

technique Main {
	pass p0 {
		VertexShader = compile vs_2_0 mainVS();
		ZEnable = false;
		ZWriteEnable = false;
		ZFunc = LessEqual;
		AlphaBlendEnable = false;
		CullMode = None;
		PixelShader = compile ps_2_0 mainPS();
	}
}
