#ifndef H_FONT
#define H_FONT

#include <d3dx9.h>
#include <string>

class Font
{
public:
	Font(LPD3DXFONT font);
	~Font();

	void onLostDevice();
	void onResetDevice();

	LPD3DXFONT getD3DPtr() const;

	void getTextSize(const std::string &text, D3DXVECTOR2 &size) const;

private:
	LPD3DXFONT	m_font;
};

#endif