#ifndef H_GUIMESSAGEBOX
#define H_GUIMESSAGEBOX

#include "GUIFrame.h"
#include "GUIEvent.h"

enum EMessageBoxType
{
	MBT_OK,
	MBT_YESNO,
	MBT_YESNOCANCEL
};

enum EMessageBoxButton
{
	MBB_OK,
	MBB_YES,
	MBB_NO,
	MBB_CANCEL
};

class GUIMessageBox: public GUIFrame
{
public:

	class ResultEventArg
	{
	public:
		ResultEventArg(EMessageBoxButton button);

		EMessageBoxButton getButton() const;

	private:
		EMessageBoxButton m_button;
	};

	GUIMessageBox(GUI *gui, const std::string &title, const std::string &message, EMessageBoxType type);

	GUIEvent<const ResultEventArg &> onClose;

protected:
	void onClickButton(GUIWindow *sender);
};

#endif