#include "GUITheme.h"
#include "MediaManager.h"
#include "MemoryLog.h"

GUITheme::GUITheme(MediaManager &media):
m_media(&media)
{
}

Font * GUITheme::getDefaultFont() const
{
	return m_media->getObject<Font>("Arial.16.fnt");
}

Font * GUITheme::getButtonFont() const
{
	return m_media->getObject<Font>("Arial.16.fnt");
}

Font * GUITheme::getFrameHeaderFont() const
{
	return m_media->getObject<Font>("Arial.16.fnt");
}

Font * GUITheme::getListElementFont() const
{
	return m_media->getObject<Font>("Arial.20.fnt");
}

D3DXVECTOR4 GUITheme::getActiveFontColor() const
{
	return D3DXVECTOR4(1.0f, 1.0f, 1.0f, 1.0f);
}

D3DXVECTOR4 GUITheme::getInactiveFontColor() const
{
	return D3DXVECTOR4(0.5f, 0.5f, 0.5f, 1.0f);
}