#ifndef H_GUITHEME
#define H_GUITHEME

#include <d3dx9.h>

class MediaManager;
class Font;

class GUITheme
{
public:
	GUITheme(MediaManager &media);

	Font * getDefaultFont() const;
	Font * getButtonFont() const;
	Font * getFrameHeaderFont() const;
	Font * getListElementFont() const;
	D3DXVECTOR4 getActiveFontColor() const;
	D3DXVECTOR4 getInactiveFontColor() const;

private:
	MediaManager	*m_media;
};

#endif