#ifndef H_LISTENER
#define H_LISTENER

enum E_MOUSE_KEY
{
	LEFT_BUTTON,
	MIDDLE_BUTTON,
	RIGHT_BUTTON
};

class IOManager;

class Listener
{
public:
	virtual ~Listener() {};
	virtual void onKeyDown(const IOManager &, unsigned, float) {};
	virtual void onKeyPressed(const IOManager &, unsigned) {};
	virtual void onKeyReleased(const IOManager &, unsigned) {};
	virtual void onKeyChar(const IOManager &, unsigned) {};
	/* onMouseMove
	Retourne la position de la souris en absolu et en relatif (variation par rapport  la position de
	la frame prcdente) comprise entre 0 et 1. */
	virtual void onMouseMove(const IOManager &, int, int) {};
	virtual void onMouseDrag(const IOManager &, int, int) {};
	virtual void onMouseWheel(const IOManager &, float) {};
	virtual void onMouseClick(const IOManager &, unsigned) {};
	virtual void onMouseRelease(const IOManager &, unsigned) {};
};

#endif