#ifndef H_LOADER
#define H_LOADER

#include <string>

class MediaManager;

template <class T>
class ILoader
{
public:
	virtual ~ILoader() {};

	virtual T * load(const std::string &fileName, MediaManager &media) const =0;
};

#endif