#include <windows.h>
#include <exception>
#include <time.h>
#include "Appli.h"
#include "Image.h"
#include "MemoryLog.h"

/* WinMain
Point d'entre de notre programme */
int WINAPI WinMain(HINSTANCE hInst, HINSTANCE, LPSTR, int)
{
	/*** initialisation du random ***/
	srand((unsigned int)time(NULL));

	GUID guid;
	CoCreateGuid(&guid);
	
	try
	{
		Appli app(hInst);
		app.run();
	}
	catch(std::exception &e)
	{
		MessageBox(NULL, e.what(), "Error !", MB_OK);
	}

#ifdef _DEBUG
	MemoryLog::dump("memory.log");
#endif

	return 0;
}
