#ifndef H_SOUND
#define H_SOUND

#include <string>
#include <xaudio2.h>

class Sound
{
public:
	Sound(const std::string &filename);
	~Sound();

	const WAVEFORMATEX & getFormat() const;
	unsigned getDataLength() const;
	const char * getData() const;

private:
	char				*m_bufferData;
	unsigned			 m_dataLength;
	WAVEFORMATEX		 m_format;
};

#endif