#ifndef H_TEXTURE
#define H_TEXTURE

#include <d3d9.h>
#include "Image.h"

class Texture
{
public:
	Texture(LPDIRECT3DTEXTURE9 texture);
	~Texture();

	LPDIRECT3DTEXTURE9 getData() const;

protected:
	LPDIRECT3DTEXTURE9	m_texture;
};

class DynamicTexture: public Texture
{
public:
	DynamicTexture(LPDIRECT3DTEXTURE9 texture, const Image<unsigned short> &source);
	~DynamicTexture();

	void update();

private:
	const Image<unsigned short> *m_source;
};

#endif