#include "MemoryLog.h"

template<class Format>
void fillArray(Format *array, Format value, int size)
{
	for (int i=0; i<size; i++)
	{
		array[i] = value;
	}
}

template <class T>
void clamp(T &value, T min, T max)
{
	value = (value < min) ? min : ((max < value) ? max : value);
}

#undef new