#ifndef H_GUIDESKTOPWINDOW
#define H_GUIDESKTOPWINDOW

#include "GUIWindow.h"
#include "GUIMessageBox.h"

class Appli;

class GUIDesktopWindow: public GUIWindow
{
public:
	GUIDesktopWindow(GUI *gui, Appli *application, unsigned width, unsigned height);
	virtual ~GUIDesktopWindow();

	void setResolution(unsigned width, unsigned height);

	virtual bool onKeyPressed(unsigned key);
	virtual bool onKeyDown(unsigned key, float elapsedTime);
	virtual bool onMouseDrag(const D3DXVECTOR2 &lastPos, const D3DXVECTOR2 &pos, unsigned buttons);
	virtual bool onMouseWheel(const D3DXVECTOR2 &pos, float delta);

protected:
	void onConfirmExit(GUIWindow *sender, const GUIMessageBox::ResultEventArg &arg);

private:
	Appli	*m_application;
};

#endif