#ifndef H_IMAGE
#define H_IMAGE

template <class Format>
class Image
{
public:
	Image(unsigned width, unsigned height);
	~Image();

	const Format & operator ()(int i, int j) const;
	Format interpolate(float i, float j) const;
	Format & operator ()(int i, int j);

	const Format *getData() const;
	unsigned getWidth() const;
	unsigned getHeight() const;

private:
	Format		*m_data;
	unsigned	 m_width;
	unsigned	 m_height;
};

#include "Image.inl"

#endif