#ifndef H_SOUNDEXCEPTION
#define H_SOUNDEXCEPTION

#include <exception>
#include <string>

class SoundException: public std::exception
{
public:
	SoundException(int errorCode, const std::string &message);

	int getHResult() const;
	bool isFailed() const;
	int getFacility() const;
	int getErrorCode() const;
	
private:
	int	m_errorCode;
};

#endif